Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000433FlexRAID Transparent RAID[All Projects] Generalpublic2016-11-21 19:532017-01-10 03:19
Reporterraerae1616 
Assigned ToBrahim 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoft WindowsOSWindowsOS VersionWindows 10
Summary0000433: Cannot create a Shortcut on a Storage Pool with T-Raid...
DescriptionAnytime I try to create a Windows shortcut to a Web Url it fails with a corrupt/invalid file being created.
Steps To ReproduceRight click and 'Create a Shortcut' in windows on the Raid Storage pool to open the create shortcut wizard. Enter a Web Url as the target location on the first screen of the wizard. Enter a name on the second screen of the wizard. Anytime I click Finish on the second screen, I consistently get the error "error creating shortcut" when trying to finish the wizard process of creating a shortcut.

When clicking Finish, on step 2 of the wizard there is a file that is created but it is not a valid shortcut, and has an invalid icon next to it.

If you then try to use the file that is created by double clicking on it you will get the error: "the target '' of this Internet Shortcut is not valid. Go to the internet shortcut property sheet and make sure that the target is correct."

If you then try to view the property sheet of the file created, there is no property sheet because it's not a valid shortcut. It says that the file is of type '.url'. And you can't really do anything with it except delete it.
Additional InformationIf I create the shortcut on a basic drive (e.g. my boot drive) and then copy it to the Storage Pool that works.

But this is a problem and makes me loose confidence in FlexRaid as a true storage solution that something like this doesn't work.
TagsNo tags attached.
tRAID Version 1.0
Attached Files

- Relationships

-  Notes
(0001583)
adridolf (reporter)
2016-11-28 11:06

Just tested because I was curious -> same behavior for me;
FlexRaid on a Windows Server 2012 R2 machine, ReFS;
occurs both when accessing via network share (Windows 8.1 client) and directly on the server
(0001592)
Brahim (manager)
2017-01-06 18:40

For clarity:

1. Creating normal shortcuts works just fine.
2. Creating a Web URL shortcut works if dragging from a browser to the pool disk or other means.
3. What fails is creating shortcuts that point to a web URL using the Windows Explorer shortcut wizard.

In the failing case and in my testing, the shortcut gets created, but there is a security issue preventing the writing of the Web address to the shortcut.

This is a security issue. It appears that the Explorer shortcut wizard is not asking for the proper permission before trying to create such shortcut.
A resolution would be to loosen the security check on the FlexRAID side. However, this is not very desirable.

This is indeed a minor issue that we can revisit later.
(0001670)
adridolf (reporter)
2017-01-09 18:26
edited on: 2017-01-09 18:26

Although I'm not the reporter, I found out that a proper link IS created if the name/label is NOT changed at step 2 of the dialog. (Despite the ms-properties warnings I reported about in issue 434) So another workaround would be 1. Create, 2. Rename. (Note that this is observed with my patched version NZFSB_URB_Compatibility_And_SetEndOfFile_Fix_2017-01-09.zip and on ReFS)

Maybe this helps tracking down the problem, although I do not consider this very serious.

(0001674)
Brahim (manager)
2017-01-10 03:18

@adridolf
I was able to resolve this issue from investigating your report on issues with Mercurial.
Thanks.
(0001675)
Brahim (manager)
2017-01-10 03:19

This is resolved for the next release.

- Issue History
Date Modified Username Field Change
2016-11-21 19:53 raerae1616 New Issue
2016-11-28 11:06 adridolf Note Added: 0001583
2017-01-06 18:40 Brahim Note Added: 0001592
2017-01-06 18:40 Brahim Assigned To => Brahim
2017-01-06 18:40 Brahim Status new => feedback
2017-01-09 18:26 adridolf Note Added: 0001670
2017-01-09 18:26 adridolf Note Edited: 0001670 View Revisions
2017-01-10 03:18 Brahim Note Added: 0001674
2017-01-10 03:19 Brahim Note Added: 0001675
2017-01-10 03:19 Brahim Status feedback => resolved
2017-01-10 03:19 Brahim Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker